Skip to main content
GET
/
competitions
List Competitions
curl --request GET \
  --url https://v1.basketball.sportsapipro.com/competitions \
  --header 'x-api-key: <api-key>'
{
  "competitions": [
    {
      "id": 123,
      "name": "<string>",
      "country": {
        "id": 123,
        "name": "<string>"
      },
      "hasStandings": true,
      "hasBrackets": true
    }
  ]
}
V1 Legacy Endpoint — This is a V1 API endpoint. For new integrations, we recommend using the Basketball V2 API which provides richer data and more endpoints.

Overview

Returns a list of all basketball competitions (leagues, cups, tournaments) available in the API.

Query Parameters

countryId
integer
Filter by country ID (e.g., 65 for USA)

Code Examples

curl -X GET "https://v1.basketball.sportsapipro.com/competitions" \
  -H "x-api-key: YOUR_API_KEY"

Response Structure

competitions
array
Array of competition objects

Key Competition IDs

CompetitionIDCountry
NBA132USA
WNBA2004USA
NCAA Men’s2065USA
EuroLeague138Europe
EuroCup139Europe
Spanish ACB149Spain
Turkish BSL150Turkey
French Pro A141France
German BBL142Germany
Italian Lega Basket143Italy

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

countryId
integer

Filter by country ID

Response

200 - application/json

Competitions retrieved successfully

competitions
object[]
Last modified on April 12, 2026